Bug 1233422 - Add ability for user to configure which guest monitors are used in fullscreen mode
Summary: Add ability for user to configure which guest monitors are used in fullscreen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On: 1129479
Blocks: 957593
TreeView+ depends on / blocked
 
Reported: 2015-06-18 21:19 UTC by Jonathon Jongsma
Modified: 2016-03-09 20:10 UTC (History)
18 users (show)

Fixed In Version: mingw-virt-viewer-2.0-2.el7ev
Doc Type: Bug Fix
Doc Text:
It is now possible to configure the position in which the guest displays in multi-monitor setups. To do so, edit the ~/.config/virt-viewer/settings file. For more information about this feature, refer to the CONFIGURATION section of the remote-viewer(1) manual page.
Clone Of: 1129479
Environment:
Last Closed: 2016-03-09 20:10:44 UTC
oVirt Team: Spice
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0377 normal SHIPPED_LIVE rhevm-spice-client bug fix and enhancement update 2016-03-10 00:39:05 UTC

Description Jonathon Jongsma 2015-06-18 21:19:31 UTC
+++ This bug was initially created as a clone of Bug #1129479 +++

+++ This bug was initially created as a clone of Bug #1129477 +++

Currently, when virt-viewer / remote-viewer is started in fullscreen mode, we attempt to place a fullscreen guest dislay on each local monitor. It should be possible for the user to customize this behavior

--- Additional comment from Jonathon Jongsma on 2014-08-12 17:00:01 EDT ---

Support is upstream.

Relevant commits:
b684a76fa4147ecf5c241476d9c362cfff404c29
539e6724374f22194d38bcab876e48e97517b843
0ca9959f00d4970b4398d48b77fd3f08f78a1855

--- Additional comment from Jonathon Jongsma on 2014-09-24 11:24:17 EDT ---

Additional related commits:

f317e950969738783919ea7d7f3a2fa9ddd44c3b
f26a5fe16cc5d71a3edad17026ab35411286b140

--- Additional comment from Jonathon Jongsma on 2015-02-09 11:33:40 EST ---

Will be solved by rebase

Comment 3 Dayle Parker 2016-03-01 00:40:03 UTC
If this bug requires doc text for errata release, please provide draft text in the doc text field in the following format:

 Cause:
 Consequence:
 Fix:
 Result:

Comment 4 Tomas Pelka 2016-03-01 09:26:31 UTC
(In reply to Dayle Parker from comment #3)
> If this bug requires doc text for errata release, please provide draft text
> in the doc text field in the following format:
> 
>  Cause:
>  Consequence:
>  Fix:
>  Result:

I'm sorry Dayle, we as QE are not responsible for filling doc text.

Comment 5 Dayle Parker 2016-03-03 00:43:53 UTC
Hi Tomas, No problem. Do you know who would be able to fill out doc text for this bug? If you could transfer the needinfo to them, it would be much appreciated. Thanks so much.

Comment 6 Fabiano Fidêncio 2016-03-03 04:00:54 UTC
Dayle,

I did, it's filled now. Filled with the same doc text provided for the "Clone of" bug.

Comment 7 Dayle Parker 2016-03-04 05:11:25 UTC
Thank you very much, Fabiano. :)

Comment 9 errata-xmlrpc 2016-03-09 20:10:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0377.html


Note You need to log in before you can comment on or make changes to this bug.